%define name Xclasses
%define version	1.4.0
%define release	1mdk

%define major 1

%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d

Summary: The Xclasses Library
Name: %name
Version: %version
Release: %release
License: LGPL
Group: System/XFree86
Source:  %name-public-%version.src.tar.bz2
Buildrequires: XFree86-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
Obsoletes: Xclasses
URL: http://www.js-home.org/Xclasses/

%description
Xclasses is a C++ layout library for the X Window System.

%package -n %libname
Summary: The Xclasses Library
License: LGPL
Group: System/XFree86

%description -n %libname
Xclasses is a C++ layout library for the X Window System.

%package -n %libnamedev
Summary: The Xclasses Development package
Group: System/XFree86
Requires: %libname = %{version}
Provides: libXclasses-devel

%description -n %libnamedev
Static libraries and header files for the Xclasses library.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n xclasses

%build
./build all


%install
rm -fr $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT%{_prefix}
mkdir $RPM_BUILD_ROOT%{_libdir}
mkdir $RPM_BUILD_ROOT%{_includedir}
mkdir $RPM_BUILD_ROOT%{_bindir}
mkdir $RPM_BUILD_ROOT%{_libdir}/X11

make LIBSDIR=$RPM_BUILD_ROOT%{_libdir} INCLUDESDIR=$RPM_BUILD_ROOT%{_includedir} CONFIGSDIR=$RPM_BUILD_ROOT%{_libdir}/X11/Xclasses install
cp -f ./setenvxc $RPM_BUILD_ROOT%{_bindir}
chmod 755 $RPM_BUILD_ROOT%{_bindir}/setenvxc

%clean 
rm -fr $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-, root, root)
%{_libdir}/*.so.*
%{_libdir}/X11/Xclasses/Xclasses
%{_bindir}/setenvxc
%defattr(0644, root, root, 755)
%doc COPYING.LIB README

%files -n %libnamedev
%defattr(-, root, root)
%{_libdir}/libXclasses.a
%{_libdir}/libXclasses.so
%{_includedir}/Xclasses

%Changelog
* Wed Jun 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-1mdk
- 1.4.0

* Sat Apr 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-5mdk
- adjust buildrequires
- fix changelog

* Sat Apr 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-4mdk
- rebuild

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-3mdk
- rebuild

* Thu Jun 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-2mdk
- quiet warnings at build (modify patch0)
- patch2: fix variables init in textbox.cxx & html_item.cxx

* Tue Mar 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Fri Nov 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.0-1mdk
- 1.3.0
- simplify spec.

* Thu Jun 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-2mdk
- rebuild

* Mon Jan 29 2001  Daouda Lo <daouda@mandrakesoft.com> 1.1.0-1mdk
- new release (Happy Lenny ?)
- BM
- string.h include file patch .

*Tue Sep 07 1999 Daouda LO <daouda@mandrakesoft.com>
- Mandrake adaptations
